#!/bin/bash
FILE_PATH="{{ global_cert_path }}/live/{{ cert_domain }}/fullchain.pem"
ADDR="{{ cert_domain }}:443"
WEB=$(echo | openssl s_client -connect $ADDR 2>/dev/null | openssl x509 -noout -enddate)
FILE=$(openssl x509 --noout --enddate --in $FILE_PATH)

if [[ "$WEB" == "$FILE" ]]; then

	echo "Certs have same enddate - up to date"
	echo "$WEB response from server"
	echo --------
	echo "$FILE from file"

else

	echo "Certs have different end date"
	echo "Reloading nginx..."
	docker exec nginx nginx -s reload
	echo "Copy new cert to pureftp"
	cat {{ global_cert_path }}/live/{{ cert_domain }}/cert.pem {{ global_cert_path }}/live/{{ cert_domain }}/privkey.pem >/mnt/data/ftp_config/pureftpd.pem
	echo "Done!"

fi
